%CIRCLE.M plots a circle
% Input: XY Coords, Radius, Color, Handle
% Output: Handle to circle
% Written by A. McClung 04/13/05 - Stanford Univ.
function h=circle5(y,x,r,c,hook)
%hook is the same as a handle
if nargin<4
    c=['br'];
end
if nargin<5
    hook=1;
end
t=0:0.01:2*pi;
if isfinite(r)
    xp=x+r*cos(t);
    yp=y+r*sin(t);
    if r>0
        h=plot(hook,yp,xp,c(1));
    else
        h=plot(hook,yp,xp,c(2));
    end        
else
    disp('Note: Plot SKIPPED b/c r is not FINITE')
end